// --Task--
// Fill the shaders to:
//  - Implement Phong or Blinn (copy from previous task)
//  - Get the color value from the texture and use that in light calculations.

uniform vec3 lightPosition;
			
// Receive the uniform colorTexture, what type is it?

varying vec3 interpolatedPosition;
varying vec3 interpolatedNormal;

// Receive the varying interpolatedUv

void main() {

    // Copy your Phong's lighting model here (I used shininess 300).
    // Alternatively you could also use Blinn here.
    // Only now we will sample the color from the colorTexture at specific uv coordinates.
    // Multiply the interpolatedUv by 2 when sampling. This means that you will fit the texture 2 times inside the mesh in both directions.
    // If you have set the texture to repeat, you'll see 4 images. Try with the UT-logo for example.
    
    vec3 color = vec3(0.8, 0.0, 0.0); // Change this
    gl_FragColor = vec4(color, 1.0);
}