// --Task--
// Fill the shaders to:
//  - Implement Phong or Blinn (copy from previous task)
//  - Get the color value from the texture and use that in light calculations.

varying vec3 interpolatedPosition;
varying vec3 interpolatedNormal;

//--Task--
// Get the attribute uvCoord
// Declare a varying vec2 called something like interpolatedUv

void main() {
    interpolatedPosition = (modelViewMatrix * vec4(position, 1.0)).xyz;
    interpolatedNormal = normalize(normalMatrix * normal);
    
    // Assign the uv coordinate value to be interpolated
    
    gl_Position = projectionMatrix * modelViewMatrix * vec4(position,1.0);
}